# Package org.apache.ignite.internal.transactions

Exception Summary
IgniteTxHeuristicCheckedException: Exception thrown whenever grid transaction enters an unknown state.
IgniteTxMvccVersionCheckedException: Exception thrown whenever transaction enters an unknown state.
IgniteTxOptimisticCheckedException: Exception thrown whenever grid transactions fail optimistically.
IgniteTxRollbackCheckedException: Exception thrown whenever grid transactions has been automatically rolled back.
IgniteTxTimeoutCheckedException: Exception thrown whenever grid transactions time out.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019